View Issue Details

IDProjectCategoryView StatusLast Update
0033441FPCRTLpublic2018-03-17 01:20
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033441: [patch] declares TFileName as type of string
DescriptionHello.

Patch in attachment.
Steps To ReproduceJust apply the patch and rebuild your sysutils.
Additional InformationPlease take a look at Lazarus issue 0033410[1] to understand the motivation about sending this patch.

[1] https://bugs.freepascal.org/view.php?id=33410
TagsNo tags attached.
Fixed in Revision38539
FPCOldBugId
FPCTarget
Attached Files
  • 0001-rtl-sysutils-declares-TFileName-as-type-of-string-pl.patch (745 bytes)
    From 96584baeac8809c9bc15380f36ccb66bd5ef9af8 Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Fri, 16 Mar 2018 15:30:03 -0300
    Subject: [PATCH 1/1] rtl/sysutils: declares TFileName as type of string
     (please take a look at Lazarus issue #33410). (patch by silvioprog)
    
    ---
     rtl/objpas/sysutils/sysutilh.inc | 2 +-
     1 file changed, 1 insertion(+), 1 deletion(-)
    
    diff --git a/rtl/objpas/sysutils/sysutilh.inc b/rtl/objpas/sysutils/sysutilh.inc
    index a3038cf..8d5fb90 100644
    --- a/rtl/objpas/sysutils/sysutilh.inc
    +++ b/rtl/objpas/sysutils/sysutilh.inc
    @@ -38,7 +38,7 @@ type
     
        TProcedure = procedure;
     
    -   TFilename = String;
    +   TFileName = type string;
     
        TIntegerSet = Set of 0..SizeOf(Integer)*8-1;
     
    -- 
    2.7.4
    
    

Relationships

related to 0033410 closedwp Lazarus [Patch][IDEIntf] Register a property editor for TFileName properties 

Activities

silvioprog

2018-03-16 19:37

reporter  

0001-rtl-sysutils-declares-TFileName-as-type-of-string-pl.patch (745 bytes)
From 96584baeac8809c9bc15380f36ccb66bd5ef9af8 Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Fri, 16 Mar 2018 15:30:03 -0300
Subject: [PATCH 1/1] rtl/sysutils: declares TFileName as type of string
 (please take a look at Lazarus issue #33410). (patch by silvioprog)

---
 rtl/objpas/sysutils/sysutilh.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/rtl/objpas/sysutils/sysutilh.inc b/rtl/objpas/sysutils/sysutilh.inc
index a3038cf..8d5fb90 100644
--- a/rtl/objpas/sysutils/sysutilh.inc
+++ b/rtl/objpas/sysutils/sysutilh.inc
@@ -38,7 +38,7 @@ type
 
    TProcedure = procedure;
 
-   TFilename = String;
+   TFileName = type string;
 
    TIntegerSet = Set of 0..SizeOf(Integer)*8-1;
 
-- 
2.7.4

Michael Van Canneyt

2018-03-17 01:02

administrator   ~0107178

Applied, many thanks !

silvioprog

2018-03-17 01:20

reporter   ~0107180

Thank you for applying dude! :-)

Issue History

Date Modified Username Field Change
2018-03-16 19:37 silvioprog New Issue
2018-03-16 19:37 silvioprog File Added: 0001-rtl-sysutils-declares-TFileName-as-type-of-string-pl.patch
2018-03-16 23:11 Bart Broersma Relationship added related to 0033410
2018-03-17 01:02 Michael Van Canneyt Fixed in Revision => 38539
2018-03-17 01:02 Michael Van Canneyt Note Added: 0107178
2018-03-17 01:02 Michael Van Canneyt Status new => resolved
2018-03-17 01:02 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-17 01:02 Michael Van Canneyt Resolution open => fixed
2018-03-17 01:02 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-03-17 01:02 Michael Van Canneyt Target Version => 3.2.0
2018-03-17 01:20 silvioprog Note Added: 0107180
2018-03-17 01:20 silvioprog Status resolved => closed